
Katello - Bug #4964

Listing products is broken when content view publish in progress

03/31/2014 11:22 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108399 Red Hat JIRA:  

Pull request:    

Description

1. promote content view

2. list the products in the mean time

3. the products listing fails on 404 from Pulp, because the repo was not yet created in Pulp

RestClient::ResourceNotFound: 404 Resource Not Found

Body: {"http_request_method": "GET", "exception": null, "error_message": "Missing resource(s): res

ource_id=ACME_Corporation-Library-rhel-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_

Server_RPMs_x86_64_6Server", "_href": "/pulp/api/v2/repositories/ACME_Corporation-Library-rhel-Red

_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_RPMs_x86_64_6Server/history/sync/",

 "http_status": 404, "traceback": null, "resources": {"resource_id": "ACME_Corporation-Library-rhe

l-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_RPMs_x86_64_6Server"}}

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:

in `return!'

 With respect to #4963, it would be nice to eliminate the number of calls needed for listing the products (and ideally not calling to pulp

unless unnecessary), which should fix also this issue

Related issues:

Related to Katello - Bug #4963: List products takes long time Closed 03/31/2014

Associated revisions

Revision d4d8ad8f - 06/11/2014 11:06 PM - Eric Helms

Fixes #4964, #4963: Product json incorrectly grabbed all repositories.

The products rabl view switched the order of the node name and the

scope to grab the data. Instead of calling 'library_repositories' and

setting that equal to a 'repository' node in the JSON output, the view

was getting all repositories and placing them at a library_repositories

node. The consequences of this were that attempting to fetch a product

list while a content view publish is occurring means that repositories

outside the default content view are attempted to have their sync status

checked before they ever exist in Pulp.

Revision 1451a84f - 06/12/2014 12:17 PM - Eric Helms

Merge pull request #4255 from ehelms/fixes-4964

Fixes #4964, #4963: Product json incorrectly grabbed all repositories.

History

#1 - 04/25/2014 11:59 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 01:47 PM - Eric Helms

- Related to Bug #4963: List products takes long time added
#3 - 06/04/2014 01:47 PM - Eric Helms

- Category set to API

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/11/2014 11:00 PM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Eric Helms

- Difficulty set to easy

#5 - 06/11/2014 11:44 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1108399

#6 - 06/12/2014 12:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d4d8ad8f80c053ce8dd969549b63e8ae4af2606a.
